package bean

import "github.com/shopspring/decimal"

type ReplyCustoms struct {
	CostAmount         decimal.Decimal      `json:"costAmount" label:"费用"`            // 费用
	CustomsCostAmount  decimal.Decimal      `json:"customsCostAmount" label:"报关费用"`   // 报关费用
	SaleTotalAmount    decimal.Decimal      `json:"saleTotalAmount" label:"销售总金额"`    // 销售总金额
	CustomsTotalAmount decimal.Decimal      `json:"customsTotalAmount" label:"报关总金额"` // 报关总金额
	Products           []CustomsProductItem `json:"products" label:"产品"`              // 产品
}

type CustomsProductItem struct {
	Index              int              `json:"index" label:"序号"`                 // 序号
	Serial             string           `json:"serial" label:"货号"`                // 货号
	CustomsName        string           `json:"customsName" label:"中文报关名称"`       // 中文报关名称
	ShipmentCount      int64            `json:"shipmentCount" label:"出运数量"`       // 出运数量
	SalePrice          decimal.Decimal  `json:"salePrice" label:"销售单价"`           // 销售单价
	SaleAmount         decimal.Decimal  `json:"saleAmount" label:"销售金额"`          // 销售金额
	CustomsPrice       decimal.Decimal  `json:"customsPrice" label:"报关单价"`        // 报关单价
	CustomsAmount      decimal.Decimal  `json:"customsAmount" label:"报关金额"`       // 报关金额
	AdjustAmount       decimal.Decimal  `json:"adjustAmount" label:"调整金额"`        // 调整金额
	RealCustomsPrice   decimal.Decimal  `json:"realCustomsPrice" label:"真实报关单价"`  // 真实报关单价
	RealCustomsAmount  decimal.Decimal  `json:"realCustomsAmount" label:"真实报关金额"` // 真实报关金额
	Name               string           `json:"name" label:"中文品名"`                // 中文品名
	EngName            string           `json:"engName" label:"英文品名"`             // 英文品名
	CustomsSerial      string           `json:"customsSerial" label:"海关编码"`       // 海关编码
	CustomsMeasureUnit string           `json:"customsMeasureUnit" label:"报关单位"`  // 报关单位
	CustomsInvoiceUnit string           `json:"customsInvoiceUnit" label:"开票单位"`  // 开票单位
	CustomsDetail      string           `json:"customsDetail" label:"申报要素"`       // 申报要素
	ShipmentCountUnit  string           `json:"shipmentCountUnit" label:"数量单位"`   // 数量单位
	OuterBoxCount      int64            `json:"outerBoxCount" label:"箱数"`         // 箱数
	TotalVolume        decimal.Decimal  `json:"totalVolume" label:"总体积"`          // 总体积
	TotalGrossWeight   decimal.Decimal  `json:"totalGrossWeight" label:"总毛重"`     // 总毛重
	TotalNetWeight     decimal.Decimal  `json:"totalNetWeight" label:"总净重"`       // 总净重
	DomesticSupply     string           `json:"domesticSupply" label:"境内货源地"`     // 境内货源地
	TaxExemption       string           `json:"taxExemption" label:"征免"`          // 征免
	ContainerNumber    string           `json:"containerNumber" label:"箱号"`       // 箱号
	SealNumber         string           `json:"sealNumber" label:"封号"`            // 封号
	Remark             string           `json:"remark" label:"备注"`                // 备注
	ShipmentProductId  int64            `json:"shipmentProductId" label:"产品id"`   // 产品id
	ShipmentGiftId     int64            `json:"shipmentGiftId" label:"赠品id"`      // 赠品id
	PurchasePrice      decimal.Decimal  `json:"purchasePrice" label:"采购单价"`       // 采购单价
	MinusTaxRate       *decimal.Decimal `json:"minusTaxRate" label:"退税率"`         // 退税率
}
