package sale

import (
	"context"
	"git.kumo.work/shama/service/client"
)

type audit struct {
}
type ArgsAuditSubmit struct {
	StaffId       int64   // 操作人
	SaleId        int64   // 销售合同id
	AuditStaffIds []int64 // 审核人
}

// Submit @TITLE 提交审核
func (a *audit) Submit(ctx context.Context, args ArgsAuditSubmit) (err error) {
	xClient, err := client.GetClient(a)
	if err != nil {
		return
	}
	reply := 0
	err = xClient.Call(ctx, "Submit", args, &reply)
	return
}

// Cancel @TITLE 提交审核
func (a *audit) Cancel(ctx context.Context, args ArgsAuditSubmit) (err error) {
	xClient, err := client.GetClient(a)
	if err != nil {
		return
	}
	reply := 0
	err = xClient.Call(ctx, "Cancel", args, &reply)
	return
}

// Append @TITLE 追加商品审核
func (a *audit) Append(ctx context.Context, args ArgsAuditSubmit) (err error) {
	xClient, err := client.GetClient(a)
	if err != nil {
		return
	}
	reply := 0
	err = xClient.Call(ctx, "Append", args, &reply)
	return
}

type ArgsAuditChange struct {
	StaffId       int64               // 操作人
	SaleId        int64               // 销售合同id
	AuditStaffIds []int64             // 审核人
	Products      []ChangeProductItem // 产品信息
}
type ChangeProductItem struct {
	Id        int64 // 产品id
	SaleCount int64 // 销售数量
}

// Change @TITLE 编辑商品审核
func (a *audit) Change(ctx context.Context, args ArgsAuditChange) (err error) {
	xClient, err := client.GetClient(a)
	if err != nil {
		return
	}
	reply := 0
	err = xClient.Call(ctx, "Change", args, &reply)
	return
}
